# Class MethodDescriptor<REQ, RESP>

#### Type Parameters

- #### REQ

- #### RESP

#### Hierarchy

- MethodDescriptor

- Defined in node_modules/grpc-web/index.d.ts:71

#####
Index

### Constructors

constructor

### Methods

getName

## Constructors

### constructor

- new MethodDescriptor<REQ, RESP>(name: string, methodType: string, requestType: (new (...args: unknown[]) => REQ), responseType: (new (...args: unknown[]) => RESP), requestSerializeFn: any, responseDeserializeFn: any): MethodDescriptor<REQ, RESP>

- #### Type Parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### name: string

  - ##### methodType: string

  - ##### requestType: (new (...args: unknown[]) => REQ)

    - - new (...args: unknown[]): REQ

      - #### Parameters

        - ##### `Rest` ...args: unknown[]

        #### Returns REQ

  - ##### responseType: (new (...args: unknown[]) => RESP)

    - - new (...args: unknown[]): RESP

      - #### Parameters

        - ##### `Rest` ...args: unknown[]

        #### Returns RESP

  - ##### requestSerializeFn: any

  - ##### responseDeserializeFn: any

  #### Returns MethodDescriptor<REQ, RESP>

  - Defined in node_modules/grpc-web/index.d.ts:72

## Methods

### getName

- getName(): string

- #### Returns string

  - Defined in node_modules/grpc-web/index.d.ts:78

Generated using TypeDoc